Home | News | Download | Packages | Forum | Wiki | Github

[SOLVED] Wireguard


#1

Anyone have wireguard (replacement of VPN) working?

As per https://www.wireguard.com/quickstart/

The first command is : ip link add dev wg0 type wireguard

I get: RTNETLINK answers: Not supported


#2

Hy,
I’m successfully using wireguard but with pre-configured files from mullvad and azirevpn (which is free for the moment as it’s in beta), so I can’t be of any help this time :confused:


#3

I’m successfully using wireguard on my own server following this article https://www.ckn.io/blog/2017/11/14/wireguard-vpn-typical-setup/


#4

@sbute Are you using https://www.mullvad.net/en/guides/easy-wireguard-mullvad-setup-linux/

I get same issue when running: wg-quick up mullvad-us5

[#] ip link add mullvad-us5 type wireguard
RTNETLINK answers: Not supported

I cant add a wireguard interface


#5

Basic question: are you using musl or glibc ? :neutral_face:


#6

Musl. Isn’t ip link universal?


#7

Yes I’m using this one. I saw on the arch wiki that you error should be solved by installing linux-headers https://wiki.archlinux.org/index.php/WireGuard#Troubleshooting


#8

@sbute I have linux-headers installed. Do you have the module available per.
modprobe wireguard && lsmod | grep wireguard
I don’t


#9

wireguard 225280 0
ip6_udp_tunnel 16384 1 wireguard
udp_tunnel 16384 1 wireguard
That’s the result of your command. I just installed the wireguard package to get it running :thinking:


#10

Oh wow. I have 2 hd’s and two grubs, and I’ve been booting off the other os’s grub, so I keep running an older kernel. The module gets compiled on newer kernel, but I never booted it. Thanks for help @sbute.


#11

Glad you solved it :ok_hand: